;       Last change    August 1993
(in-package epilog)
(define-specialist 'time-specialist "epilog:time;time" 
  '(same-time equal before before-0 before-1 after after-0 after-1
    during during-0 during-1 during--0 during--1 
    during-0-0 during-0-1 during-1-0 during-1-1
    contains contains-0 contains-1 contains--0 contains--1 
    contains-0-0 contains-0-1 contains-1-0 contains-1-1
    overlaps overlaps-0 overlaps-1 overlaps--0 overlaps--1 
    overlaps-0-0 overlaps-0-1 overlaps-1-0 overlaps-1-1
    overlapped-by overlapped-by-0 overlapped-by-1 overlapped-by--0 overlapped-by--1 
    overlapped-by-0-0 overlapped-by-0-1 overlapped-by-1-0 overlapped-by-1-1
    between between-0 between-1 between--0 between--1 
    between-0-0 between-0-1 between-1-0 between-1-1
    at-most-before at-least-before exactly-before
    at-most-after at-least-after exactly-after has-duration)
  '(time episode)
  '(start-of end-of date relation elapsed duration-of)
  nil
  'tp.time-relationship
  )
(function-with-rel-pred 'elapsed 'exactly-before 'integer)
(function-with-rel-pred 'duration-of 'has-duration 'integer)
(function-with-rel-pred 'start-of nil 'time)
(function-with-rel-pred 'end-of nil 'time)
(function-with-rel-pred 'date nil 'time)
