;       Last change    August 1993
; load the shell
(in-package epiuser)  

;; As when using `set command', abbreviations are
;; allocated on a first-come first-serve basis, except when
;; explicitly overridden by a synonym.

(epilog::esh-add-cmds '(
		use-spec 
		add-hier add-indicate add-interest add-topic set-hier-type 
		add-lex add-word add-predicate add-sort add-function
		add-operator add-operator-type add-quantifier

		display (display-concept dp) 
		trace-item trace-all untrace-item untrace-all  tweak 
                checkpoint (retract rewind)
                write-perm-memory read-perm-memory 

		do-say say-it say-them 

		(goal-knowledge goal-kn) (knowledge kn) (meaning-postulate mp)
		(simplification-schema simp-schema)
                story reassert meta 
		(question q ?) proof-q disproof-q

                get-everything (retrieve re ret) (show-everything) 

		quit

		; may not be needed any longer with new display options
		active-specialists available-specialists
		formula (display-ckpts dc) (display-infer di) 
                (display-infer-short dis) 
		(print-agenda pa) 
		(print-display pd) 
                (print-hier ph) 
                (print-traceables ptr) (print-tweakables ptw) prob 
		(print-subgoal ps)
		show-input-array 
             ))

