;       Last change    August 1993
(in-package set-equal)


; set construct - contains the known members and whether set is finished or not

(defstruct episet
  (environment *environment*)		; environment to which this record belongs
  (identifiers nil)			; list of all names that refer to this set
  (properties nil)			; set properties(equivalence, non-equal)
  (finished nil)			; t if all members known
  (contents '(+))			; members
  (member-type nil)			; type of members (predicate)
  (all nil)				; indicates set of ALL
  (cardinality-min nil)			; cardinality (known min)
  (cardinality-max nil)			; cardinality (known max)
  (connections nil)			; connections to other sets
  (connections-from nil)		; connections from other sets
  )

(defstruct episet-connect
  (how nil)				; union, intersect, subset, etc
  (sets nil)				; sets involved
  (main-set nil)			; set it affects
  )

(defstruct episet-subnet
  (identifier nil)			; net identifier (context)
  (sets nil)			        ; hash table of sets
  )

(defvar current-net nil "current net for use in evaluating functions")
