;       Last change    August 1993
(in-package user)
(eval-when (compile load eval)   
(provide 'set-equal-stuff)
(require 'epilib "epilog:epilib;epilib")
(require 'spec "epilog:spec;spec")
(defpackage set-equal-stuff (:nicknames set-equal)
	    (:use lisp user spec lib epilib)
  (:export
	  ; things used by both set specialist and equality specialist
	  make-episet episet-identifiers episet-properties episet-finished 
	  episet-contents episet-member-type episet-all episet-cardinality-min 
	  episet-cardinality-max episet-connections episet-connections-from

	  make-episet-subnet episet-subnet-identifier episet-subnet-sets

	  make-episet-connect episet-connect-how episet-connect-sets 
	  episet-connect-main-set

	  current-net

	  determine-net getset findset get-subnet get-contents
	  get-contents-0 get-set-immed get-set-immed-0 +equal +member
	  immed-set equiv-set-name non-equal-set-name

	  equivalence non-equal 

	  update-card unfin-set-member sets-equal add-type-assert
	  enter-equivalence check-equal-members check-equivalences
	  check-non-equal

	  writeable-copy
	  ))
(unless (find-package 'set-equal) (make-package 'set-equal)))
(in-package set-equal)

(load "epilog:set-equal;defs")
(load "epilog:set-equal;general")
(load "epilog:set-equal;enter")
